Because I have a gluster volume on CentOS7 cluster is not possible to change 
compatibility level, else if I have all hosts in maintenance mode
-------- Messaggio originale --------Da: Sahina Bose <sab...@redhat.com> Data: 
20/09/16  14:07  (GMT+01:00) A: fedele.stab...@fis.unical.it Cc: Yaniv Dary 
<yd...@redhat.com>, users <users@ovirt.org> Oggetto: Re: [ovirt-users] Setting 
compatibility level on 3.6 


On Tue, Sep 20, 2016 at 5:07 PM, Fedele Stabile <fedele.stab...@fis.unical.it> 
wrote:
I confirm: 

I am not able to modify compatibility level using engine UI.

I'm running oVirt Version 3.6.7.5-1.el7.centos and I would upgrade to

4.0

I was able to migrate HostedEngine to Default Cluster

On one of the clusters (CentOS7 cluster) I can't change Compatibility

level from 3.5 to 3.6 value 

Now the problem is that I have a gluster volume.

If I delete Gluster Volume from HE UI can I loss data?


Deleting gluster volume from UI will delete the underlying volume if any of the 
hosts in the cluster are online - i.e it's not a database entry deletion alone, 
it executes gluster cli command to delete the volume.

Why do you want to delete the volume? Is it to move the hosts to another 
cluster/ change compatibility? Which cluster has the gluster volume - CentOS7 
cluster or Default cluster?
 



Il giorno mar, 20/09/2016 alle 10.38 +0300, Yaniv Dary ha scritto:

> You can also put all HE hosts on that cluster to local maintenance

> and shutdown the vm. It will start up on another cluster.

> Yaniv Dary

> Technical Product Manager

> Red Hat Israel Ltd.

> 34 Jerusalem Road

> Building A, 4th floor

> Ra'anana, Israel 4350109

> Tel : +972 (9) 7692306

>         8272306

> Email: yd...@redhat.com

> IRC : ydary

>

> On Sep 20, 2016 10:18 AM, "Fedele Stabile" <fedele.stabile@fis.unical

> .it> wrote:

> > For some reason it is not possible migration of he vm to another

> > cluster.

> > This is the reason I asked for direct DB modification.

> > Fedele

> >

> > Il giorno mar, 20/09/2016 alle 10.09 +0300, Yaniv Dary ha scritto:

> > > You can live migrate the he vm cross cluster and then upgrade the

> > > compatibility level.

> > > Yaniv Dary

> > > Technical Product Manager

> > > Red Hat Israel Ltd.

> > > 34 Jerusalem Road

> > > Building A, 4th floor

> > > Ra'anana, Israel 4350109

> > > Tel : +972 (9) 7692306

> > >         8272306

> > > Email: yd...@redhat.com

> > > IRC : ydary

> > >

> > > On Sep 20, 2016 9:50 AM, "Fedele Stabile" <fedele.stab...@fis.uni

> > cal.

> > > it> wrote:

> > > > As I wrote this morning using a smartphone:

> > > > I can't change compatibility using UI engine because the HE is

> > > > running.

> > > > For this reason I need to change the compatibility value in the

> > DB.

> > > > The problem is that in oVirt 3.6 I can't find any cluster named

> > > > table

> > > > as described in Comment 17 of

> > > > https://bugzilla.redhat.com/show_bug.cgi?id=1341023

> > > > Can anyone verify?

> > > > Thank you

> > > > Fedele

> > > >

> > > > Il giorno mar, 20/09/2016 alle 01.29 +0300, Yaniv Dary ha

> > scritto:

> > > > > You can't mess with the cluster level. It's a recipe for

> > trouble.

> > > > > Please upgrade the cluster compatibility via manager. 

> > > > > What is the issues with doing this you have?

> > > > > Yaniv Dary

> > > > > Technical Product Manager

> > > > > Red Hat Israel Ltd.

> > > > > 34 Jerusalem Road

> > > > > Building A, 4th floor

> > > > > Ra'anana, Israel 4350109

> > > > > Tel : +972 (9) 7692306

> > > > >         8272306

> > > > > Email: yd...@redhat.com

> > > > > IRC : ydary

> > > > >

> > > > > On Sep 19, 2016 6:36 PM, "Fedele Stabile" <fedele.stabile@fis

> > .uni

> > > > cal.

> > > > > it> wrote:

> > > > > > Ah,

> > > > > > I want to migrate to ovirt 4.x and I read that I have to

> > change

> > > > the

> > > > > > compatibily level of the cluster.

> > > > > >

> > > > > > Il giorno lun, 19/09/2016 alle 17.31 +0200, Fedele Stabile

> > ha

> > > > > > scritto:

> > > > > > > Hello,

> > > > > > > I have ovirt-release36-3.6.7-1 and ovirt-engine-setup-

> > > > 3.6.7.5-

> > > > > > > 1.el7.centos

> > > > > > > and I can't find cluster table in the DB engine to force

> > to

> > > > > > > compatibility version 3.6

> > > > > > > as described in https://bugzilla.redhat.com/show_bug.cgi?

> > id=1

> > > > 3410

> > > > > > 23

> > > > > > > infact I have HostedEngine running on a cluster and I

> > can't

> > > > > > change

> > > > > > > it's

> > > > > > > compatibility.

> > > > > > > Can you help me?

> > > > > > >

> > > > > > >

> > > > > > > _______________________________________________

> > > > > > > Users mailing list

> > > > > > > Users@ovirt.org

> > > > > > > http://lists.ovirt.org/mailman/listinfo/users

> > > > > >

> > > > > > _______________________________________________

> > > > > > Users mailing list

> > > > > > Users@ovirt.org

> > > > > > http://lists.ovirt.org/mailman/listinfo/users

> > > > > >

> > > >

> > > >

> >

> >



_______________________________________________

Users mailing list

Users@ovirt.org

http://lists.ovirt.org/mailman/listinfo/users



_______________________________________________
Users mailing list
Users@ovirt.org
http://lists.ovirt.org/mailman/listinfo/users

Reply via email to